
 package com.inet.ailink.receiver.mapper;

 import com.inet.ailink.receiver.entity.Device;
 import com.inet.ailink.receiver.entity.DeviceType;
 import org.apache.ibatis.annotations.Param;

 import java.util.List;

 public interface ISysDeviceInfoDao extends BaseDao<Device> {

     public Integer getAppUserIdByDevice(Device device);

     public DeviceType getDeviceTypeByCid(@Param(value = "typeId") Integer typeId);

     public String getServerUrlByPIDCIDVID(Device device);

     public Device getLastObjByAttribute(Device device);

     public Integer getLastOneDeviceAppUserIdByDevice(Device device);

     public List<Integer> getDeviceAppUserIdByDevice(Device device);

 }
