package com.inet.ailink.receiver.common.enums;

public class Common {

	// ***************** 环境 *********************************
	public static final String ENVIRONMENT_DEV = "dev";// 开发
	public static final String ENVIRONMENT_TEST = "test";// 测试
	public static final String ENVIRONMENT_PRODUCT = "product";// 生产

	// ***************** 客户端类型 *********************************
	public static final Integer CLIENT_TYPE_PC = 1;// PC端
	public static final Integer CLIENT_TYPE_MOBILE = 2;// 手机端
	
	// ***************** 系统用户 *********************************
	public static final Long ADMIN_APP_USER_ID = 1l;// app的系统用户

	// ***************** 支付类型 *********************************
	public static final Integer PAY_TYPE_WECHAT = 1;// 微信支付
	public static final Integer PAY_TYPE_ALIPAY = 2;// 支付宝支付
	public static final Integer PAY_TYPE_OFFLINE = 3;// 线下

	// ***************** 表删除状态 *********************************
	public static final Integer DEL_STATUS_YES = 1;// 删除
	public static final Integer DEL_STATUS_NO = 0;// 不删除
	
	// ***************** 状态 *********************************
	public static final Integer STATUS_UESD = 1;// 使用
	public static final Integer STATUS_NO_USE = 0;// 未使用
	public static final Integer STATUS_INVALID = 2;//无效作废
	
	// ***************** 账户状态 *********************************
	public static final Integer ACCOOUNT_STATUS_OK = 0;// 正常
	public static final Integer ACCOOUNT_STATUS_LOCK = 1;// 锁定
	public static final Integer ACCOOUNT_LOGIN_STATUS_LOGOUT = 0;//未登录
	public static final Integer ACCOOUNT_LOGIN_STATUS_LOGINED = 1;//登录
	
	// ***************** 移动端设备类型*********************************
	public static final Integer DEVICE_IOS = 1;// IOS设备
	public static final Integer DEVICE_ANDROID = 2;// 安卓设备
	public static final Integer DEVICE_WP = 3;// 移动版win
	
	// ***************** 验证码类型*********************************
	public static final Integer CHECK_TYPE_SIGN_UP = 1;//注册
	public static final Integer CHECK_TYPE_RESET_PWD = 2;// 重置密码
	public static final Integer CHECK_TYPE_UPDATE_PWD = 3;// 修改密码
	public static final Integer CHECK_TYPE_UPDATE_EMAIL = 4;// 修改邮箱
	
	
	// ***************** 验证码发送类型*********************************
	public static final Integer CHECK_CODE_TYPE_EMAIL = 1;// 邮件
	public static final Integer CHECK_CODE_TYPE_MESSAGE = 2;//短信
	
	// ***************** 用户类型*********************************
	public static final Integer USER_MODEL_1 = 1;// 普通用户
	public static final Integer USER_MODEL_2 = 2;//运动员
	public static final Integer USER_MODEL_3 = 2;//孕妇
	
	// ***************** App状态*********************************
	public static final Integer APP_STATUS_OK = 0;// 正常
	public static final Integer APP_STATUS_UPDATE = 1;//维护
	public static final Integer APP_STATUS_DISENABLE = 2;//禁用
	
	// ***************** 樹狀圖共用的頂級id状态*********************************
	public static final Long TOP_PARENT_ID = 0L;//
	
	public final static byte[] TEA_KEY = new byte[] {
        0x00, 0x00, 0x00, 0x05, 
        0x00, 0x00, 0x00, 0x03, 
        0x00, 0x00, 0x00, 0x07, 
        0x00, 0x00, 0x00, 0x08
        };
	
}
