package com.inet.ailink.receiver.entity;

//import org.apache.commons.collections.CollectionUtils;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;


public class PageResult <T>  {
	
    private List<T> list; 

    private Integer pageNum; 

    private Integer pageSize; 

    private Integer total; 

    private Integer pages; 

	public List<T> getList() {
        if (isEmpty(list)) {
            return new ArrayList<T>();
        }
        return list;
	}

	public static boolean isEmpty(Collection coll) {
		return (coll == null || coll.isEmpty());
	}

	public void setList(List<T> list) {
		this.list = list;
	}
	
	
    
	public Integer getPageNum() {
		return pageNum;
	}

	public void setPageNum(Integer pageNum) {
		this.pageNum = pageNum;
	}

	public Integer getPageSize() {
		return pageSize;
	}

	public void setPageSize(Integer pageSize) {
		this.pageSize = pageSize;
	}

	public Integer getTotal() {
		return total;
	}

	public void setTotal(Integer total) {
		this.total = total;
	}

	public Integer getPages() {
		return pages;
	}

	public void setPages(Integer pages) {
		this.pages = pages;
	}

	
}
